MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028198Open CASCADE[OCCT] OCCT:Configurationpublic2016-12-07 09:412017-09-29 16:28
Reporteraml 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028198: Add FPE signals enabling from CMake
DescriptionIn scope of modeling meeting from 2016.12.07 it was decided to add new possibility to the CMake.

In scope of the 0026329 new environment variable has been added ("CSF_FPE"). It is good to have possibility to change this variable from CMake.
Steps To Reproduce• Turn ON CMake variable BUILD_ENABLE_FPE_SIGNAL_HANDLER during configuration
• Configure -> Generate -> Build -> Install the solution
• Check that env.bat/sh scripts contains CSF_FPE environment variable (equal to the value of variable BUILD_ENABLE_FPE_SIGNAL_HANDLER)
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0028375closedapn Regressions after enabling floating point signals handling in DRAW 
related to 0028384closedapn Add FPE signals enabling from MSVC 
related to 0026171assignedkgv Coding rules - eliminate -Wshorten-64-to-32 CLang warnings 

-  Notes
(0061616)
git (administrator)
2016-12-13 15:31

Branch CR28198 has been created by ski.

SHA-1: 4498efddf1d6efde418e3a1e133369565ef3ced4


Detailed log of new commits:

Author: ski
Date: Tue Dec 13 15:30:45 2016 +0300

    0028198: Add FPE signals enabling from CMake
    
    CMake variable BUILD_ENABLE_FPE_SIGNAL_HANDLER was added to enable FPE signals during runtime.
(0061697)
ski (developer)
2016-12-15 14:19

Dear abv,

It is possible to enable/disable the floating point exceptions (FPE) now.
CMake variable BUILD_ENABLE_FPE_SIGNAL_HANDLER should be used for that.

Please review.
(0061698)
msv (developer)
2016-12-15 15:21

adm\cmake\vardescr.cmake
I think in description of this option it is needed to mention that it impacts only DRAW execution.
(0061703)
git (administrator)
2016-12-15 19:24

Branch CR28198 has been updated by ski.

SHA-1: 3cd062c77391dfc3794b9adcf5b29ffe11ee6fcc


Detailed log of new commits:

Author: ski
Date: Thu Dec 15 19:24:43 2016 +0300

    Updated description of BUILD_ENABLE_FPE_SIGNAL_HANDLER_DESCR variable.

(0061704)
ski (developer)
2016-12-15 19:24

Done.
(0062105)
abv (manager)
2016-12-26 10:13

Please put all customization variables to custom.bat/sh instead of env.bat/sh: the latter should not depend on configuration
(0062533)
git (administrator)
2017-01-12 14:13

Branch CR28198 has been updated forcibly by ski.

SHA-1: 3931f62cca518611a8117adb7761d5913fda27fb
(0062547)
git (administrator)
2017-01-12 17:59

Branch CR28198 has been updated forcibly by ski.

SHA-1: 79160dd97aab8bcaccca877ae28b02762b2ab414
(0062548)
ski (developer)
2017-01-12 18:05

CSF_FPE variable were moved to custom.bat file.
(0062599)
abv (manager)
2017-01-14 09:51

No remarks, please integrate
(0062799)
apn (administrator)
2017-01-19 14:04

Dear BugMaster,

Branch CR28198 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 79160dd97aab8bcaccca877ae28b02762b2ab414

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 63
   Windows: 0
   MacOS: 1140

Regressions/Differences:
OCCT Linux:
http://occt-tests/CR28198_master-OCCT/Debian70-64/summary.html [^]
offset wire_closed_inside_0_005 D6
offset wire_closed_inside_0_025 D6
offset wire_closed_inside_0_075 D6
offset wire_closed_outside_0_005 C4
offset wire_closed_outside_0_025 C4
offset wire_closed_outside_0_075 C4

Products Linux:
emesh bugs bug26326_1
http://occt-tests/CR28198_master-Products/Debian70-64/emesh/bugs/bug26326_1.html [^]

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 93583018 / 92918756 [+0.71%]
Total CPU difference: 21253.640000000152 / 21505.530000000304 [-1.17%]

Testing on Windows:
Total MEMORY difference: 58328927 / 58649007 [-0.55%]
Total CPU difference: 19862.484122798483 / 19749.742200098677 [+0.57%]
(0062801)
apn (administrator)
2017-01-19 15:04
edited on: 2017-01-19 15:06

CMake procedure works correct. Issue 0028375 for new regressions was reported.
Option BUILD_ENABLE_FPE_SIGNAL_HANDLER will be turned ON for regular compilation and testing on Windows.

(0063596)
git (administrator)
2017-02-08 11:35

Branch CR28198 has been deleted by kgv.

SHA-1: 79160dd97aab8bcaccca877ae28b02762b2ab414

- Related Changesets
occt: master 7a59f4ce
Timestamp: 2016-12-13 12:30:45
Author: ski
Committer: apn
Details ] Diff ]
0028198: Add FPE signals enabling from CMake

CMake variable BUILD_ENABLE_FPE_SIGNAL_HANDLER was added to enable FPE signals during runtime.
Updated description of BUILD_ENABLE_FPE_SIGNAL_HANDLER_DESCR variable.
mod - adm/cmake/vardescr.cmake Diff ] File ]
mod - adm/templates/custom.build.bat.in Diff ] File ]
mod - adm/templates/custom.build.sh.in Diff ] File ]
mod - adm/templates/custom.install.bat.in Diff ] File ]
mod - adm/templates/custom.install.sh.in Diff ] File ]
mod - CMakeLists.txt Diff ] File ]
mod - dox/dev_guides/building/cmake/cmake.md Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-12-07 09:41 aml New Issue
2016-12-07 09:41 aml Assigned To => ski
2016-12-13 15:31 ski Status new => assigned
2016-12-13 15:31 git Note Added: 0061616
2016-12-15 14:19 ski Note Added: 0061697
2016-12-15 14:19 ski Assigned To ski => abv
2016-12-15 14:19 ski Status assigned => resolved
2016-12-15 14:19 ski Steps to Reproduce Updated View Revisions
2016-12-15 15:21 msv Note Added: 0061698
2016-12-15 19:24 git Note Added: 0061703
2016-12-15 19:24 ski Note Added: 0061704
2016-12-26 10:13 abv Note Added: 0062105
2016-12-26 10:13 abv Assigned To abv => ski
2016-12-26 10:13 abv Status resolved => assigned
2017-01-12 14:13 git Note Added: 0062533
2017-01-12 17:59 git Note Added: 0062547
2017-01-12 18:05 ski Note Added: 0062548
2017-01-12 18:05 ski Assigned To ski => abv
2017-01-12 18:05 ski Status assigned => resolved
2017-01-14 09:51 abv Note Added: 0062599
2017-01-14 09:51 abv Assigned To abv => bugmaster
2017-01-14 09:51 abv Status resolved => reviewed
2017-01-16 14:34 apn Assigned To bugmaster => apn
2017-01-19 14:04 apn Note Added: 0062799
2017-01-19 15:03 apn Relationship added related to 0028375
2017-01-19 15:04 apn Note Added: 0062801
2017-01-19 15:06 apn Note Edited: 0062801 View Revisions
2017-01-19 15:06 apn Test case number => Not needed
2017-01-19 15:06 apn Assigned To apn => bugmaster
2017-01-19 15:06 apn Status reviewed => tested
2017-01-20 16:12 apn Changeset attached => occt master 7a59f4ce
2017-01-20 16:12 apn Assigned To bugmaster => apn
2017-01-20 16:12 apn Status tested => verified
2017-01-20 16:12 apn Resolution open => fixed
2017-01-23 18:27 msv Relationship added related to 0028384
2017-02-08 11:35 git Note Added: 0063596
2017-07-29 12:20 kgv Relationship added related to 0024574
2017-07-29 12:21 kgv Relationship added related to 0026171
2017-07-29 12:23 kgv Relationship deleted related to 0024574
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:28 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker